Package com.google.protobuf

# Class Api.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<BuilderT>
com.google.protobuf.GeneratedMessageV3.Builder<Api.Builder>
com.google.protobuf.Api.Builder

All Implemented Interfaces:
  `ApiOrBuilder`, `Message.Builder`, `MessageLite.Builder`, `MessageLiteOrBuilder`, `MessageOrBuilder`, `Cloneable`

Enclosing class:
  Api

public static final class Api.Builder extends GeneratedMessageV3.Builder<Api.Builder> implements ApiOrBuilder
Protobuf type `google.protobuf.Api`

## Method Summary

Modifier and Type
Method
Description
`Api.Builder`
`addAllMethods(Iterable<? extends Method> values)`
`repeated .google.protobuf.Method methods = 2 [json_name = "methods"];`
`Api.Builder`
`addAllMixins(Iterable<? extends Mixin> values)`
`repeated .google.protobuf.Mixin mixins = 6 [json_name = "mixins"];`
`Api.Builder`
`addAllOptions(Iterable<? extends Option> values)`
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`
`Api.Builder`
`addMethods(int index, Method value)`
`repeated .google.protobuf.Method methods = 2 [json_name = "methods"];`
`Api.Builder`
`addMethods(int index, Method.Builder builderForValue)`
`repeated .google.protobuf.Method methods = 2 [json_name = "methods"];`
`Api.Builder`
`addMethods(Method value)`
`repeated .google.protobuf.Method methods = 2 [json_name = "methods"];`
`Api.Builder`
`addMethods(Method.Builder builderForValue)`
`repeated .google.protobuf.Method methods = 2 [json_name = "methods"];`
`Method.Builder`
`addMethodsBuilder()`
`repeated .google.protobuf.Method methods = 2 [json_name = "methods"];`
`Method.Builder`
`addMethodsBuilder(int index)`
`repeated .google.protobuf.Method methods = 2 [json_name = "methods"];`
`Api.Builder`
`addMixins(int index, Mixin value)`
`repeated .google.protobuf.Mixin mixins = 6 [json_name = "mixins"];`
`Api.Builder`
`addMixins(int index, Mixin.Builder builderForValue)`
`repeated .google.protobuf.Mixin mixins = 6 [json_name = "mixins"];`
`Api.Builder`
`addMixins(Mixin value)`
`repeated .google.protobuf.Mixin mixins = 6 [json_name = "mixins"];`
`Api.Builder`
`addMixins(Mixin.Builder builderForValue)`
`repeated .google.protobuf.Mixin mixins = 6 [json_name = "mixins"];`
`Mixin.Builder`
`addMixinsBuilder()`
`repeated .google.protobuf.Mixin mixins = 6 [json_name = "mixins"];`
`Mixin.Builder`
`addMixinsBuilder(int index)`
`repeated .google.protobuf.Mixin mixins = 6 [json_name = "mixins"];`
`Api.Builder`
`addOptions(int index, Option value)`
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`
`Api.Builder`
`addOptions(int index, Option.Builder builderForValue)`
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`
`Api.Builder`
`addOptions(Option value)`
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`
`Api.Builder`
`addOptions(Option.Builder builderForValue)`
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`
`Option.Builder`
`addOptionsBuilder()`
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`
`Option.Builder`
`addOptionsBuilder(int index)`
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`
`Api`
`build()`
Constructs the message based on the state of the Builder.
`Api`
`buildPartial()`
Like `MessageLite.Builder.build()`, but does not throw an exception if the message is missing required fields.
`Api.Builder`
`clear()`
Called by the initialization and clear code paths to allow subclasses to reset any of their builtin fields back to the initial values.
`Api.Builder`
`clearMethods()`
`repeated .google.protobuf.Method methods = 2 [json_name = "methods"];`
`Api.Builder`
`clearMixins()`
`repeated .google.protobuf.Mixin mixins = 6 [json_name = "mixins"];`
`Api.Builder`
`clearName()`
`string name = 1 [json_name = "name"];`
`Api.Builder`
`clearOptions()`
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`
`Api.Builder`
`clearSourceContext()`
`.google.protobuf.SourceContext source_context = 5 [json_name = "sourceContext"];`
`Api.Builder`
`clearSyntax()`
`.google.protobuf.Syntax syntax = 7 [json_name = "syntax"];`
`Api.Builder`
`clearVersion()`
`string version = 4 [json_name = "version"];`
`Api`
`getDefaultInstanceForType()`
Get an instance of the type with no fields set.
`static final Descriptors.Descriptor`
`getDescriptor()`
`Descriptors.Descriptor`
`getDescriptorForType()`
Get the message's type's descriptor.
`Method`
`getMethods(int index)`
`repeated .google.protobuf.Method methods = 2 [json_name = "methods"];`
`Method.Builder`
`getMethodsBuilder(int index)`
`repeated .google.protobuf.Method methods = 2 [json_name = "methods"];`
`List<Method.Builder>`
`getMethodsBuilderList()`
`repeated .google.protobuf.Method methods = 2 [json_name = "methods"];`
`int`
`getMethodsCount()`
`repeated .google.protobuf.Method methods = 2 [json_name = "methods"];`
`List<Method>`
`getMethodsList()`
`repeated .google.protobuf.Method methods = 2 [json_name = "methods"];`
`MethodOrBuilder`
`getMethodsOrBuilder(int index)`
`repeated .google.protobuf.Method methods = 2 [json_name = "methods"];`
`List<? extends MethodOrBuilder>`
`getMethodsOrBuilderList()`
`repeated .google.protobuf.Method methods = 2 [json_name = "methods"];`
`Mixin`
`getMixins(int index)`
`repeated .google.protobuf.Mixin mixins = 6 [json_name = "mixins"];`
`Mixin.Builder`
`getMixinsBuilder(int index)`
`repeated .google.protobuf.Mixin mixins = 6 [json_name = "mixins"];`
`List<Mixin.Builder>`
`getMixinsBuilderList()`
`repeated .google.protobuf.Mixin mixins = 6 [json_name = "mixins"];`
`int`
`getMixinsCount()`
`repeated .google.protobuf.Mixin mixins = 6 [json_name = "mixins"];`
`List<Mixin>`
`getMixinsList()`
`repeated .google.protobuf.Mixin mixins = 6 [json_name = "mixins"];`
`MixinOrBuilder`
`getMixinsOrBuilder(int index)`
`repeated .google.protobuf.Mixin mixins = 6 [json_name = "mixins"];`
`List<? extends MixinOrBuilder>`
`getMixinsOrBuilderList()`
`repeated .google.protobuf.Mixin mixins = 6 [json_name = "mixins"];`
`String`
`getName()`
`string name = 1 [json_name = "name"];`
`ByteString`
`getNameBytes()`
`string name = 1 [json_name = "name"];`
`Option`
`getOptions(int index)`
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`
`Option.Builder`
`getOptionsBuilder(int index)`
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`
`List<Option.Builder>`
`getOptionsBuilderList()`
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`
`int`
`getOptionsCount()`
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`
`List<Option>`
`getOptionsList()`
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`
`OptionOrBuilder`
`getOptionsOrBuilder(int index)`
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`
`List<? extends OptionOrBuilder>`
`getOptionsOrBuilderList()`
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`
`SourceContext`
`getSourceContext()`
`.google.protobuf.SourceContext source_context = 5 [json_name = "sourceContext"];`
`SourceContext.Builder`
`getSourceContextBuilder()`
`.google.protobuf.SourceContext source_context = 5 [json_name = "sourceContext"];`
`SourceContextOrBuilder`
`getSourceContextOrBuilder()`
`.google.protobuf.SourceContext source_context = 5 [json_name = "sourceContext"];`
`Syntax`
`getSyntax()`
`.google.protobuf.Syntax syntax = 7 [json_name = "syntax"];`
`int`
`getSyntaxValue()`
`.google.protobuf.Syntax syntax = 7 [json_name = "syntax"];`
`String`
`getVersion()`
`string version = 4 [json_name = "version"];`
`ByteString`
`getVersionBytes()`
`string version = 4 [json_name = "version"];`
`boolean`
`hasSourceContext()`
`.google.protobuf.SourceContext source_context = 5 [json_name = "sourceContext"];`
`protected GeneratedMessageV3.FieldAccessorTable`
`internalGetFieldAccessorTable()`
Get the FieldAccessorTable for this type.
`final boolean`
`isInitialized()`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.
`Api.Builder`
`mergeFrom(Api other)`
`Api.Builder`
`mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)`
Like `MessageLite.Builder.mergeFrom(CodedInputStream)`, but also parses extensions.
`Api.Builder`
`mergeFrom(Message other)`
Merge `other` into the message being built.
`Api.Builder`
`mergeSourceContext(SourceContext value)`
`.google.protobuf.SourceContext source_context = 5 [json_name = "sourceContext"];`
`final Api.Builder`
`mergeUnknownFields(UnknownFieldSet unknownFields)`
Merge some unknown fields into the `UnknownFieldSet` for this message.
`Api.Builder`
`removeMethods(int index)`
`repeated .google.protobuf.Method methods = 2 [json_name = "methods"];`
`Api.Builder`
`removeMixins(int index)`
`repeated .google.protobuf.Mixin mixins = 6 [json_name = "mixins"];`
`Api.Builder`
`removeOptions(int index)`
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`
`Api.Builder`
`setMethods(int index, Method value)`
`repeated .google.protobuf.Method methods = 2 [json_name = "methods"];`
`Api.Builder`
`setMethods(int index, Method.Builder builderForValue)`
`repeated .google.protobuf.Method methods = 2 [json_name = "methods"];`
`Api.Builder`
`setMixins(int index, Mixin value)`
`repeated .google.protobuf.Mixin mixins = 6 [json_name = "mixins"];`
`Api.Builder`
`setMixins(int index, Mixin.Builder builderForValue)`
`repeated .google.protobuf.Mixin mixins = 6 [json_name = "mixins"];`
`Api.Builder`
`setName(String value)`
`string name = 1 [json_name = "name"];`
`Api.Builder`
`setNameBytes(ByteString value)`
`string name = 1 [json_name = "name"];`
`Api.Builder`
`setOptions(int index, Option value)`
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`
`Api.Builder`
`setOptions(int index, Option.Builder builderForValue)`
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`
`Api.Builder`
`setSourceContext(SourceContext value)`
`.google.protobuf.SourceContext source_context = 5 [json_name = "sourceContext"];`
`Api.Builder`
`setSourceContext(SourceContext.Builder builderForValue)`
`.google.protobuf.SourceContext source_context = 5 [json_name = "sourceContext"];`
`Api.Builder`
`setSyntax(Syntax value)`
`.google.protobuf.Syntax syntax = 7 [json_name = "syntax"];`
`Api.Builder`
`setSyntaxValue(int value)`
`.google.protobuf.Syntax syntax = 7 [json_name = "syntax"];`
`final Api.Builder`
`setUnknownFields(UnknownFieldSet unknownFields)`
Set the `UnknownFieldSet` for this message.
`Api.Builder`
`setVersion(String value)`
`string version = 4 [json_name = "version"];`
`Api.Builder`
`setVersionBytes(ByteString value)`
`string version = 4 [json_name = "version"];`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`addRepeatedField, clearField, clearOneof, clone, getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.Message.Builder

`mergeDelimitedFrom, mergeDelimitedFrom`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()
Description copied from class: `GeneratedMessageV3.Builder`
Get the FieldAccessorTable for this type. We can't have the message class pass this in to the constructor because of bootstrapping trouble with DescriptorProtos.

Specified by:
  `internalGetFieldAccessorTable` in class `GeneratedMessageV3.Builder<Api.Builder>`

### clear

public Api.Builder clear()
Description copied from class: `GeneratedMessageV3.Builder`
Called by the initialization and clear code paths to allow subclasses to reset any of their builtin fields back to the initial values.

Specified by:
  `clear` in interface `Message.Builder`
Specified by:
  `clear` in interface `MessageLite.Builder`
Overrides:
  `clear` in class `GeneratedMessageV3.Builder<Api.Builder>`

### getDescriptorForType

public Descriptors.Descriptor getDescriptorForType()
Description copied from interface: `Message.Builder`
Get the message's type's descriptor. See `MessageOrBuilder.getDescriptorForType()`.

Specified by:
  `getDescriptorForType` in interface `Message.Builder`
Specified by:
  `getDescriptorForType` in interface `MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `GeneratedMessageV3.Builder<Api.Builder>`

### getDefaultInstanceForType

public Api getDefaultInstanceForType()
Description copied from interface: `MessageLiteOrBuilder`
Get an instance of the type with no fields set. Because no fields are set, all getters for singular fields will return default values and repeated fields will appear empty. This may or may not be a singleton. This differs from the `getDefaultInstance()` method of generated message classes in that this method is an abstract method of the `MessageLite` interface whereas `getDefaultInstance()` is a static method of a specific class. They return the same thing.

Specified by:
  `getDefaultInstanceForType` in interface `MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `MessageOrBuilder`

### build

public Api build()
Description copied from interface: `MessageLite.Builder`
Constructs the message based on the state of the Builder. Subsequent changes to the Builder will not affect the returned message.

Specified by:
  `build` in interface `Message.Builder`
Specified by:
  `build` in interface `MessageLite.Builder`

### buildPartial

public Api buildPartial()
Description copied from interface: `MessageLite.Builder`
Like `MessageLite.Builder.build()`, but does not throw an exception if the message is missing required fields. Instead, a partial message is returned. Subsequent changes to the Builder will not affect the returned message.

Specified by:
  `buildPartial` in interface `Message.Builder`
Specified by:
  `buildPartial` in interface `MessageLite.Builder`

### mergeFrom

public Api.Builder mergeFrom(Message other)
Description copied from interface: `Message.Builder`
Merge `other` into the message being built. `other` must have the exact same type as `this` (i.e. `getDescriptorForType() == other.getDescriptorForType()`).

Merging occurs as follows. For each field:
* For singular primitive fields, if the field is set in `other`, then `other`'s value overwrites the value in this message.
* For singular message fields, if the field is set in `other`, it is merged into the corresponding sub-message of this message using the same merging rules.
* For repeated fields, the elements in `other` are concatenated with the elements in this message.
* For oneof groups, if the other message has one of the fields set, the group of this message is cleared and replaced by the field of the other message, so that the oneof constraint is preserved.

This is equivalent to the `Message::MergeFrom` method in C++.

Specified by:
  `mergeFrom` in interface `Message.Builder`
Overrides:
  `mergeFrom` in class `AbstractMessage.Builder<Api.Builder>`

### mergeFrom

public Api.Builder mergeFrom(Api other)

### isInitialized

public final boolean isInitialized()
Description copied from interface: `MessageLiteOrBuilder`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.

See also: `MessageOrBuilder.getInitializationErrorString()`

Specified by:
  `isInitialized` in interface `MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `GeneratedMessageV3.Builder<Api.Builder>`

### mergeFrom

public Api.Builder mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry) throws IOException
Description copied from interface: `MessageLite.Builder`
Like `MessageLite.Builder.mergeFrom(CodedInputStream)`, but also parses extensions. The extensions that you want to be able to parse must be registered in `extensionRegistry`. Extensions not in the registry will be treated as unknown fields.

Specified by:
  `mergeFrom` in interface `Message.Builder`
Specified by:
  `mergeFrom` in interface `MessageLite.Builder`
Overrides:
  `mergeFrom` in class `AbstractMessage.Builder<Api.Builder>`
Throws:
  `InvalidProtocolBufferException` - the bytes read are not syntactically correct according to the protobuf wire format specification. The data is corrupt, incomplete, or was never a protobuf in the first place.
  `IOException` - an I/O error reading from the stream

### getName

public String getName()
`string name = 1 [json_name = "name"];`

Specified by:
  `getName` in interface `ApiOrBuilder`
Returns:
  The name.

### getNameBytes

public ByteString getNameBytes()
`string name = 1 [json_name = "name"];`

Specified by:
  `getNameBytes` in interface `ApiOrBuilder`
Returns:
  The bytes for name.

### setName

public Api.Builder setName(String value)
`string name = 1 [json_name = "name"];`

Parameters:
  `value` - The name to set.
Returns:
  This builder for chaining.

### clearName

public Api.Builder clearName()
`string name = 1 [json_name = "name"];`

Returns:
  This builder for chaining.

### setNameBytes

public Api.Builder setNameBytes(ByteString value)
`string name = 1 [json_name = "name"];`

Parameters:
  `value` - The bytes for name to set.
Returns:
  This builder for chaining.

### getMethodsList

public List<Method> getMethodsList()
`repeated .google.protobuf.Method methods = 2 [json_name = "methods"];`

Specified by:
  `getMethodsList` in interface `ApiOrBuilder`

### getMethodsCount

public int getMethodsCount()
`repeated .google.protobuf.Method methods = 2 [json_name = "methods"];`

Specified by:
  `getMethodsCount` in interface `ApiOrBuilder`

### getMethods

public Method getMethods(int index)
`repeated .google.protobuf.Method methods = 2 [json_name = "methods"];`

Specified by:
  `getMethods` in interface `ApiOrBuilder`

### setMethods

public Api.Builder setMethods(int index, Method value)
`repeated .google.protobuf.Method methods = 2 [json_name = "methods"];`

### setMethods

public Api.Builder setMethods(int index, Method.Builder builderForValue)
`repeated .google.protobuf.Method methods = 2 [json_name = "methods"];`

### addMethods

public Api.Builder addMethods(Method value)
`repeated .google.protobuf.Method methods = 2 [json_name = "methods"];`

### addMethods

public Api.Builder addMethods(int index, Method value)
`repeated .google.protobuf.Method methods = 2 [json_name = "methods"];`

### addMethods

public Api.Builder addMethods(Method.Builder builderForValue)
`repeated .google.protobuf.Method methods = 2 [json_name = "methods"];`

### addMethods

public Api.Builder addMethods(int index, Method.Builder builderForValue)
`repeated .google.protobuf.Method methods = 2 [json_name = "methods"];`

### addAllMethods

public Api.Builder addAllMethods(Iterable<? extends Method> values)
`repeated .google.protobuf.Method methods = 2 [json_name = "methods"];`

### clearMethods

public Api.Builder clearMethods()
`repeated .google.protobuf.Method methods = 2 [json_name = "methods"];`

### removeMethods

public Api.Builder removeMethods(int index)
`repeated .google.protobuf.Method methods = 2 [json_name = "methods"];`

### getMethodsBuilder

public Method.Builder getMethodsBuilder(int index)
`repeated .google.protobuf.Method methods = 2 [json_name = "methods"];`

### getMethodsOrBuilder

public MethodOrBuilder getMethodsOrBuilder(int index)
`repeated .google.protobuf.Method methods = 2 [json_name = "methods"];`

Specified by:
  `getMethodsOrBuilder` in interface `ApiOrBuilder`

### getMethodsOrBuilderList

public List<? extends MethodOrBuilder> getMethodsOrBuilderList()
`repeated .google.protobuf.Method methods = 2 [json_name = "methods"];`

Specified by:
  `getMethodsOrBuilderList` in interface `ApiOrBuilder`

### addMethodsBuilder

public Method.Builder addMethodsBuilder()
`repeated .google.protobuf.Method methods = 2 [json_name = "methods"];`

### addMethodsBuilder

public Method.Builder addMethodsBuilder(int index)
`repeated .google.protobuf.Method methods = 2 [json_name = "methods"];`

### getMethodsBuilderList

public List<Method.Builder> getMethodsBuilderList()
`repeated .google.protobuf.Method methods = 2 [json_name = "methods"];`

### getOptionsList

public List<Option> getOptionsList()
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`

Specified by:
  `getOptionsList` in interface `ApiOrBuilder`

### getOptionsCount

public int getOptionsCount()
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`

Specified by:
  `getOptionsCount` in interface `ApiOrBuilder`

### getOptions

public Option getOptions(int index)
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`

Specified by:
  `getOptions` in interface `ApiOrBuilder`

### setOptions

public Api.Builder setOptions(int index, Option value)
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`

### setOptions

public Api.Builder setOptions(int index, Option.Builder builderForValue)
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`

### addOptions

public Api.Builder addOptions(Option value)
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`

### addOptions

public Api.Builder addOptions(int index, Option value)
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`

### addOptions

public Api.Builder addOptions(Option.Builder builderForValue)
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`

### addOptions

public Api.Builder addOptions(int index, Option.Builder builderForValue)
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`

### addAllOptions

public Api.Builder addAllOptions(Iterable<? extends Option> values)
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`

### clearOptions

public Api.Builder clearOptions()
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`

### removeOptions

public Api.Builder removeOptions(int index)
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`

### getOptionsBuilder

public Option.Builder getOptionsBuilder(int index)
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`

### getOptionsOrBuilder

public OptionOrBuilder getOptionsOrBuilder(int index)
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`

Specified by:
  `getOptionsOrBuilder` in interface `ApiOrBuilder`

### getOptionsOrBuilderList

public List<? extends OptionOrBuilder> getOptionsOrBuilderList()
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`

Specified by:
  `getOptionsOrBuilderList` in interface `ApiOrBuilder`

### addOptionsBuilder

public Option.Builder addOptionsBuilder()
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`

### addOptionsBuilder

public Option.Builder addOptionsBuilder(int index)
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`

### getOptionsBuilderList

public List<Option.Builder> getOptionsBuilderList()
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`

### getVersion

public String getVersion()
`string version = 4 [json_name = "version"];`

Specified by:
  `getVersion` in interface `ApiOrBuilder`
Returns:
  The version.

### getVersionBytes

public ByteString getVersionBytes()
`string version = 4 [json_name = "version"];`

Specified by:
  `getVersionBytes` in interface `ApiOrBuilder`
Returns:
  The bytes for version.

### setVersion

public Api.Builder setVersion(String value)
`string version = 4 [json_name = "version"];`

Parameters:
  `value` - The version to set.
Returns:
  This builder for chaining.

### clearVersion

public Api.Builder clearVersion()
`string version = 4 [json_name = "version"];`

Returns:
  This builder for chaining.

### setVersionBytes

public Api.Builder setVersionBytes(ByteString value)
`string version = 4 [json_name = "version"];`

Parameters:
  `value` - The bytes for version to set.
Returns:
  This builder for chaining.

### hasSourceContext

public boolean hasSourceContext()
`.google.protobuf.SourceContext source_context = 5 [json_name = "sourceContext"];`

Specified by:
  `hasSourceContext` in interface `ApiOrBuilder`
Returns:
  Whether the sourceContext field is set.

### getSourceContext

public SourceContext getSourceContext()
`.google.protobuf.SourceContext source_context = 5 [json_name = "sourceContext"];`

Specified by:
  `getSourceContext` in interface `ApiOrBuilder`
Returns:
  The sourceContext.

### setSourceContext

public Api.Builder setSourceContext(SourceContext value)
`.google.protobuf.SourceContext source_context = 5 [json_name = "sourceContext"];`

### setSourceContext

public Api.Builder setSourceContext(SourceContext.Builder builderForValue)
`.google.protobuf.SourceContext source_context = 5 [json_name = "sourceContext"];`

### mergeSourceContext

public Api.Builder mergeSourceContext(SourceContext value)
`.google.protobuf.SourceContext source_context = 5 [json_name = "sourceContext"];`

### clearSourceContext

public Api.Builder clearSourceContext()
`.google.protobuf.SourceContext source_context = 5 [json_name = "sourceContext"];`

### getSourceContextBuilder

public SourceContext.Builder getSourceContextBuilder()
`.google.protobuf.SourceContext source_context = 5 [json_name = "sourceContext"];`

### getSourceContextOrBuilder

public SourceContextOrBuilder getSourceContextOrBuilder()
`.google.protobuf.SourceContext source_context = 5 [json_name = "sourceContext"];`

Specified by:
  `getSourceContextOrBuilder` in interface `ApiOrBuilder`

### getMixinsList

public List<Mixin> getMixinsList()
`repeated .google.protobuf.Mixin mixins = 6 [json_name = "mixins"];`

Specified by:
  `getMixinsList` in interface `ApiOrBuilder`

### getMixinsCount

public int getMixinsCount()
`repeated .google.protobuf.Mixin mixins = 6 [json_name = "mixins"];`

Specified by:
  `getMixinsCount` in interface `ApiOrBuilder`

### getMixins

public Mixin getMixins(int index)
`repeated .google.protobuf.Mixin mixins = 6 [json_name = "mixins"];`

Specified by:
  `getMixins` in interface `ApiOrBuilder`

### setMixins

public Api.Builder setMixins(int index, Mixin value)
`repeated .google.protobuf.Mixin mixins = 6 [json_name = "mixins"];`

### setMixins

public Api.Builder setMixins(int index, Mixin.Builder builderForValue)
`repeated .google.protobuf.Mixin mixins = 6 [json_name = "mixins"];`

### addMixins

public Api.Builder addMixins(Mixin value)
`repeated .google.protobuf.Mixin mixins = 6 [json_name = "mixins"];`

### addMixins

public Api.Builder addMixins(int index, Mixin value)
`repeated .google.protobuf.Mixin mixins = 6 [json_name = "mixins"];`

### addMixins

public Api.Builder addMixins(Mixin.Builder builderForValue)
`repeated .google.protobuf.Mixin mixins = 6 [json_name = "mixins"];`

### addMixins

public Api.Builder addMixins(int index, Mixin.Builder builderForValue)
`repeated .google.protobuf.Mixin mixins = 6 [json_name = "mixins"];`

### addAllMixins

public Api.Builder addAllMixins(Iterable<? extends Mixin> values)
`repeated .google.protobuf.Mixin mixins = 6 [json_name = "mixins"];`

### clearMixins

public Api.Builder clearMixins()
`repeated .google.protobuf.Mixin mixins = 6 [json_name = "mixins"];`

### removeMixins

public Api.Builder removeMixins(int index)
`repeated .google.protobuf.Mixin mixins = 6 [json_name = "mixins"];`

### getMixinsBuilder

public Mixin.Builder getMixinsBuilder(int index)
`repeated .google.protobuf.Mixin mixins = 6 [json_name = "mixins"];`

### getMixinsOrBuilder

public MixinOrBuilder getMixinsOrBuilder(int index)
`repeated .google.protobuf.Mixin mixins = 6 [json_name = "mixins"];`

Specified by:
  `getMixinsOrBuilder` in interface `ApiOrBuilder`

### getMixinsOrBuilderList

public List<? extends MixinOrBuilder> getMixinsOrBuilderList()
`repeated .google.protobuf.Mixin mixins = 6 [json_name = "mixins"];`

Specified by:
  `getMixinsOrBuilderList` in interface `ApiOrBuilder`

### addMixinsBuilder

public Mixin.Builder addMixinsBuilder()
`repeated .google.protobuf.Mixin mixins = 6 [json_name = "mixins"];`

### addMixinsBuilder

public Mixin.Builder addMixinsBuilder(int index)
`repeated .google.protobuf.Mixin mixins = 6 [json_name = "mixins"];`

### getMixinsBuilderList

public List<Mixin.Builder> getMixinsBuilderList()
`repeated .google.protobuf.Mixin mixins = 6 [json_name = "mixins"];`

### getSyntaxValue

public int getSyntaxValue()
`.google.protobuf.Syntax syntax = 7 [json_name = "syntax"];`

Specified by:
  `getSyntaxValue` in interface `ApiOrBuilder`
Returns:
  The enum numeric value on the wire for syntax.

### setSyntaxValue

public Api.Builder setSyntaxValue(int value)
`.google.protobuf.Syntax syntax = 7 [json_name = "syntax"];`

Parameters:
  `value` - The enum numeric value on the wire for syntax to set.
Returns:
  This builder for chaining.

### getSyntax

public Syntax getSyntax()
`.google.protobuf.Syntax syntax = 7 [json_name = "syntax"];`

Specified by:
  `getSyntax` in interface `ApiOrBuilder`
Returns:
  The syntax.

### setSyntax

public Api.Builder setSyntax(Syntax value)
`.google.protobuf.Syntax syntax = 7 [json_name = "syntax"];`

Parameters:
  `value` - The syntax to set.
Returns:
  This builder for chaining.

### clearSyntax

public Api.Builder clearSyntax()
`.google.protobuf.Syntax syntax = 7 [json_name = "syntax"];`

Returns:
  This builder for chaining.

### setUnknownFields

public final Api.Builder setUnknownFields(UnknownFieldSet unknownFields)
Description copied from interface: `Message.Builder`
Set the `UnknownFieldSet` for this message.

Specified by:
  `setUnknownFields` in interface `Message.Builder`
Overrides:
  `setUnknownFields` in class `GeneratedMessageV3.Builder<Api.Builder>`

### mergeUnknownFields

public final Api.Builder mergeUnknownFields(UnknownFieldSet unknownFields)
Description copied from interface: `Message.Builder`
Merge some unknown fields into the `UnknownFieldSet` for this message.

Specified by:
  `mergeUnknownFields` in interface `Message.Builder`
Overrides:
  `mergeUnknownFields` in class `GeneratedMessageV3.Builder<Api.Builder>`